%define libname_orig	libapm
%define major		1
%define libname		%mklibname apm %{major}
%define develname	%mklibname apm -d

Summary:	Advanced Power Management (APM) BIOS utilities for laptops
Name:		apmd
Version:	3.2.2
Release:	%mkrel 40
Source:		ftp://ftp.debian.org/debian/pool/main/a/apmd/%{name}_%{version}.orig.tar.bz2
Source1:	apmd.init
Source3:	apmd_proxy
Patch0:		apmd-3.2.2.orig-lib64.patch
Patch1:		apmd-3.2.2.orig-graphicswitch.patch
Patch2:		apmd-3.2.2.orig-optimization.patch
Patch5:		apmd-3.2.2.orig-security.patch
Patch9:		apmd-3.2.2.orig-proxy-timeout.patch
Patch10:	apmd-3.2.2-libtool.patch
License:	GPLv2+
Group:		System/Servers
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xt)
BuildRequires:	libtool
Requires:	initscripts

%description
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd package if you need to control the APM system 
on your laptop.

%package -n %{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{libname_orig}.

%package -n %{develname}
Summary:	Development library for %{libname_orig}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname apm 1 -d}
Provides:	%{name}-devel

%description -n %{develname}
This package contains the developmeent library needed to compile
programs that use %{libname_orig}.

%prep
%setup -q -n apmd-%{version}.orig
%autopatch -p1
echo "LIB = %_lib" > config.make

%build
%serverbuild
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%{ldflags}" PROXY_DIR=%{_sbindir}

%install
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/apm-scripts

%make_install PREFIX=%{_prefix} MANDIR=%{_mandir}

for i in apm.1 apmsleep.1;do install -m644 $i -D %{buildroot}/%{_mandir}/man1/$i;done
install -m644 apmd.8 -D %{buildroot}/%{_mandir}/man8/apmd.8

install -m755 %{SOURCE1} -D %{buildroot}%{_initrddir}/apmd
install -m755 %{SOURCE3} -D %{buildroot}%{_sbindir}/apmd_proxy
rm -f %{buildroot}%{_bindir}/on_ac_power

%post 
%_post_service apmd

%preun
%_preun_service apmd

%triggerpostun -- apmd <= 3.0final-6
/sbin/chkconfig --add apmd

%files
%doc AUTHORS ChangeLog README apmsleep.README
%{_mandir}/man?/*
%{_bindir}/*
%{_sbindir}/*
%config(noreplace) %{_initrddir}/apmd

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*so
%{_libdir}/*a
%{_includedir}/*





%changelog
* Thu Mar 31 2022 umeabot <umeabot> 3.2.2-40.mga9
+ Revision: 1836104
- Mageia 9 Mass Rebuild

* Tue Mar 31 2020 danf <danf> 3.2.2-39.mga8
+ Revision: 1562809
- Update libtool.patch for libtool 2.4.6

* Tue Feb 11 2020 umeabot <umeabot> 3.2.2-38.mga8
+ Revision: 1489035
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 08 2018 wally <wally> 3.2.2-37.mga7
+ Revision: 1257851
- build on all arches

* Sat Feb 13 2016 umeabot <umeabot> 3.2.2-36.mga6
+ Revision: 959517
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 3.2.2-35.mga6
+ Revision: 879777
- really reenable debuginfo

* Wed Sep 16 2015 tv <tv> 3.2.2-34.mga6
+ Revision: 879772
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 3.2.2-33.mga6
+ Revision: 875058
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-32.mga5
+ Revision: 738979
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-31.mga5
+ Revision: 677864
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.2.2-30.mga4
+ Revision: 502561
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.2.2-29.mga3
+ Revision: 345956
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 3.2.2-28.mga3
+ Revision: 337665
- Fix build
+ zezinho <zezinho>
- spec cleanup

* Wed Mar 09 2011 ennael <ennael> 3.2.2-26.mga1
+ Revision: 66853
- clean spec file
- imported package apmd


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 3.2.2-26mdv2011.0
+ Revision: 634995
- rebuild
- tighten BR

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-25mdv2011.0
+ Revision: 603182
- rebuild

* Thu Apr 29 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.2.2-24mdv2010.1
+ Revision: 540830
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.2.2-23mdv2010.1
+ Revision: 540306
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.2.2-22mdv2010.1
+ Revision: 540011
- rebuild so that shared libraries are properly stripped again

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-21mdv2010.1
+ Revision: 520683
- bump release
- rebuilt for 2010.1

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 3.2.2-19mdv2010.0
+ Revision: 448775
- build for mips and arm (from Arnaud Patard)

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-18mdv2010.0
+ Revision: 413030
- rebuild

* Sat Mar 28 2009 Funda Wang <fwang@mandriva.org> 3.2.2-17mdv2009.1
+ Revision: 361837
- rediff opt patch

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 3.2.2-17mdv2009.0
+ Revision: 290085
- Don't try to load apm module if built-in in kernel

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.2.2-16mdv2009.0
+ Revision: 220351
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 3.2.2-15mdv2008.1
+ Revision: 157238
- rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 3.2.2-14mdv2008.1
+ Revision: 148464
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Adam Williamson <awilliamson@mandriva.org> 3.2.2-13mdv2008.0
+ Revision: 82307
- rebuild for 2008
- don't package COPYING
- drop unnecessary requires on common-licenses
- remove URL (no longer exists)
- Fedora license policy
- new devel policy
- spec clean


* Tue Jan 16 2007 Olivier Blin <oblin@mandriva.com> 3.2.2-12mdv2007.0
+ Revision: 109566
- do not require suspend-scripts

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 3.2.2-11mdv2007.1
+ Revision: 107562
- remove on_ac_power and its dependencies, a better replacement is provided by pm-utils
- fix buildrequires
- bunzip patches
- Import apmd

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 3.2.2-10mdk
- set proxy dir to %%{_sbindir} (and set if for build, not install...)
- drop hardcodded proxy path in init script (Source1)
- Source3: new apmd_proxy script
  (calling /usr/share/suspend-scripts/run_scripts)

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.2.2-9mdk
- add BuildRequires: libtool

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 3.2.2-8mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 3.2.2-7mdk
- parallel init support

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.2.2-6mdk
- Rebuild

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.2.2-5mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.2.2-4mdk
- fix rpmlint errors (PreReq)

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.2-3mdk
- patch8 was not merged upstream => make it patch0 (lib64 fixes)

* Thu Feb 03 2005 Olivier Blin <oblin@mandrakesoft.com> 3.2.2-2mdk
- ship powermgmt scripts from Debian

* Tue Feb 01 2005 Olivier Blin <blino@mandrake.org> 3.2.2-1mdk
- 3.2.2
- rediff Patch1, Patch5
- remove Patch3, Patch4, Patch6, Patch8 (merged upstream)
- remove Patch7 (dead code)
- update doc section
- rpmbuildupdate friendly
- fix summary ended with dot
- remove explicit library dependancies

* Fri Oct 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.0-7mdk
- build on x86_64

